<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Document</title>
</head>

<body>
    <div class="container jumbotron w-50">
        <div class="row form-group">
            <div class="col-sm-12 text-center">
                <h3>Chi Tiết</h3>
                <a id="inp-id"></a>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3">
                <label for="">Name</label>
            </div>
            <div class="col-sm-9">
                <input id="inp-name" type="text" class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3">
                <label for="">User Name</label>
            </div>
            <div class="col-sm-9">
                <input id="inp-user-name" type="text" class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3">
                <label for="">Email</label>
            </div>
            <div class="col-sm-9">
                <input id="inp-email" type="text" class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3">
                <label for="">Address</label>
            </div>
            <div class="col-sm-9">
                <div class="col-sm-2">
                    <label for="suite">Suite</label>
                </div>
                <diV class="col-sm-10">
                    <input id="inp-suite" type="text" class="form-control">
                </diV>
                <div class="col-sm-2">
                    <label for="street">Street</label>
                </div>
                <diV class="col-sm-10">
                    <input id="inp-street" type="text" class="form-control">
                </diV>
                <div class="col-sm-2">
                    <label for="city">City</label>
                </div>
                <diV class="col-sm-10">
                    <input id="inp-city" type="text" class="form-control">
                </diV>
                <div class="col-sm-2">
                    <label for="zipcode">Zip Code</label>
                </div>
                <diV class="col-sm-10">
                    <input id="inp-zipcode" type="text" class="form-control">
                </diV>
                <div class="col-sm-2">
                    <label for="geo">Geo</label>
                </div>
                <diV class="col-sm-10">
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="lat">Lat</label>
                        </div>
                        <div class="col-sm-10">
                            <input id="inp-lat" type="text" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-2">
                            <label for="lng">lng</label>
                        </div>
                        <div class="col-sm-10">
                            <input id="inp-lng" type="text" class="form-control">
                        </div>
                    </div>
                </diV>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3">
                <label for="">Phone</label>
            </div>
            <div class="col-sm-9">
                <input id="inp-phone" type="text" class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3">
                <label for="">Website</label>
            </div>
            <div class="col-sm-9">
                <input id="inp-website" type="text" class="form-control">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-3">
                <label for="">Company</label>
            </div>
            <div class="col-sm-9">
                <div class="row form-group">
                    <div class="col-sm-3">
                        <label for="companyname">Name</label>
                    </div>
                    <div class="col-sm-9">
                        <input id="inp-company-name" type="text" class="form-control">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-sm-3">
                        <label for="catchphrase">Catch Pharase</label>
                    </div>
                    <div class="col-sm-9">
                        <input id="inp-catch-phrase" type="text" class="form-control">
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-sm-3">
                        <label for="bs">bs</label>
                    </div>
                    <div class="col-sm-9">
                        <input id="inp-bs" type="text" class="form-control">
                    </div>
                </div>
            </div>
            <div class="row form-group">
                <div class="col-sm-12" style=" text-align: left;">
                    <button id="btnBack" class="btn btn-success w-75 ">Quay lại</button>
                </div>
            </div>
        </div>
</body>
<script>
    $(document).ready(function () {
        onPageLoad();
    });
    function onPageLoad() {
        var vUrlString = window.location.href;
        var vUrl = new URL(vUrlString);
        var vId = vUrl.searchParams.get("id");
        if (vId == "" || vId == null) {
            window.location.href = "Task 35.10.html";
            alert("Chưa có Id");
        }
        $.ajax({
            url: "https://jsonplaceholder.typicode.com/users/" + vId,
            data: 'GET',
            dataType: 'json',
            success: function (responseObject) {
                console.log(responseObject);
                showDataForm(responseObject);
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText);
            }
        });
    }
    function showDataForm(paramDataUsersObj) {
        $("#inp-id").val(paramDataUsersObj.id);
        $("#inp-name").val(paramDataUsersObj.name);
        $("#inp-user-name").val(paramDataUsersObj.username);
        $("#inp-email").val(paramDataUsersObj.email);
        $("#inp-suite").val(paramDataUsersObj.address.suite);
        $("#inp-street").val(paramDataUsersObj.address.street);
        $("#inp-city").val(paramDataUsersObj.address.city);
        $("#inp-zipcode").val(paramDataUsersObj.address.zipcode);
        $("#inp-lat").val(paramDataUsersObj.address.geo.lat);
        $("#inp-lng").val(paramDataUsersObj.address.geo.lng);
        $("#inp-phone").val(paramDataUsersObj.phone);
        $("#inp-website").val(paramDataUsersObj.website);
        $("#inp-company-name").val(paramDataUsersObj.company.name);
        $("#inp-catch-phrase").val(paramDataUsersObj.company.catchPhrase);
        $("#inp-bs").val(paramDataUsersObj.company.bs);
    }
</script>

</html>